w32: Fix linkage of gpg-pair-tool
authorAndre Heinecke <aheinecke@intevation.de>
Mon, 26 Nov 2018 12:05:26 +0000 (13:05 +0100)
committerAndre Heinecke <aheinecke@intevation.de>
Mon, 26 Nov 2018 12:07:19 +0000 (13:07 +0100)
* tools/Makefile.am (gpg_pair_tool_LDADD): Add W32SOCKLIBS.

--
This is required because parts of libcommon depend on ws2_32.

tools/Makefile.am

index 196bf52..e4fd81c 100644 (file)
@@ -174,7 +174,7 @@ gpg_pair_tool_SOURCES = \
 gpg_pair_tool_CFLAGS = $(GPG_ERROR_CFLAGS) $(INCICONV)
 gpg_pair_tool_LDADD =  $(libcommon) \
                       $(LIBGCRYPT_LIBS) $(GPG_ERROR_LIBS) \
-                      $(LIBINTL) $(LIBICONV)
+                      $(LIBINTL) $(LIBICONV) $(W32SOCKLIBS)
 
 
 # Make sure that all libs are build before we use them.  This is